
var lastClientX = 0;
var lastClientY = 0;
var lastHoveredNode = null;

var overlayNode = document.createElement('div');
overlayNode.id = 'fullPageScreenshot__overlay';
overlayNode.style.position = 'absolute';
overlayNode.style.background = 'rgba(255,0,0,0.5)';
overlayNode.style.zIndex = '9999999';
document.body.appendChild(overlayNode)

/* var overlayInterval = setInterval(function() { overlayNode.style.display = overlayNode.style.display == 'none' ? 'block' : 'none'; }, 1000); */

var showOverlayTimeout = null;
var showOverlayDebounced = function(element) {
	overlayNode.style.display = 'none';
	if (showOverlayTimeout) {
		clearTimeout(showOverlayTimeout);
	}
	showOverlayTimeout = setTimeout(function() {
		console.info("timeout", element);

		showOverlayTimeout = null;

		if (lastHoveredNode) {
			var cl = lastHoveredNode.getBoundingClientRect();
			overlayNode.style.top = (window.scrollY + cl.top)+"px";
			overlayNode.style.left = (window.scrollX + cl.left)+"px";
			overlayNode.style.width = cl.width+"px";
			overlayNode.style.height = cl.height+"px";

			overlayNode.style.display = 'block';
		}
		
	}, 50);
}

var receiveMove = function(e) {
	console.info("receive move"); /* , e.clientX, lastClientX, e.clientY, lastClientY, e.target); */
	if (Math.abs(e.clientX-lastClientX) > 3 || Math.abs(e.clientY-lastClientY) > 3) {
		lastClientX = e.clientX;
		lastClientY = e.clientY;
		if (e.target != 'fullPageScreenshot__overlay') {
			lastHoveredNode = e.target;
		}
		showOverlayDebounced();
	}
}


document.onmousemove = receiveMove;




